Traces
Get Trace
Gets all events for a complete trace, sorted by timestamp.
Authorization
api_key api-key<token>
In: header
Query Parameters
tenantAlias*string
The tenant identifier
traceId*string
The trace identifier
Response Body
application/json
application/json
curl -X GET "https://api.paynowpro.com/api/v1/traces?tenantAlias=string&traceId=string"[
{
"tenantAlias": "string",
"traceId": "string",
"eventId": "string",
"executorId": "string",
"parentId": "string",
"isRoot": true,
"activityType": "PaymentEvent",
"payload": {
"property1": null,
"property2": null
},
"createdAt": "string"
}
]{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}